lkml.org 
[lkml]   [2000]   [Dec]   [1]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
SubjectRe: Pls add this driver to the kernel tree !!
Date

ttabi@interactivesi.com said:
> Not necessarily - it all depends on what your driver does. In many
> cases, supporting 2.2 and 2.4 is easy, and all you need are a few
> #if's. It's certainly much better to have a dozen or so #if's
> sprinkled throughout the code than to have two separate source trees,
> and have to make the same change to multiple files.

It's even better to do it without the ugly preprocessor magic - see
include/linux/compatmac.h

There are a few things missing from there - include/linux/mtd/compatmac.h
has more. One day we'll get round to removing the latter and merging it
into the main one, hopefully.

--
dwmw2


-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
Please read the FAQ at http://www.tux.org/lkml/

\
 
 \ /
  Last update: 2005-03-22 12:51    [W:0.054 / U:0.948 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site